package com.heyu.api.baidu.handle.medical;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.medical.BHealthReportRequest;
import com.heyu.api.baidu.response.medical.BHealthReportResp;
import org.springframework.stereotype.Component;

/***
 *
 * https://console.bce.baidu.com/support/?_=1740575657628&timestamp=1740581406549#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8C%BB%E7%96%97%E7%A5%A8%E6%8D%AEOCR&api=rest%2F2.0%2Focr%2Fv1%2Fhealth_report&method=post
 *医疗诊断报告单识别
 *
 */
@Component
public class BHealthReportHandle extends BaiduBaseHandle<BHealthReportRequest, BHealthReportResp> {
    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/health_report";
    }

    @Override
    public String check(BHealthReportRequest bMedicalReportDetectionRequest) {
        return checkSimpleProbabilityLocation(bMedicalReportDetectionRequest);
    }

    @Override
    public String getContent(BHealthReportRequest bMedicalReportDetectionRequest) {
        return getSimpleProbabilityLocationContent(bMedicalReportDetectionRequest).toString();
    }
}
